Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.phoenix
Class DefaultGroupPolicy

    java.lang.Object
      com.sun.jini.phoenix.DefaultGroupPolicy

All Implemented Interfaces:
  GroupPolicy

public class DefaultGroupPolicy
extends Object
implements GroupPolicy

Group policy that requires the appropriate `ExecPermission` and set of `ExecOptionPermission` have been granted to the client subject or the empty protection domain (a domain with all `null` elements) if there is no client subject.

Since:
  2.0

Constructor Summary
`DefaultGroupPolicy()`

Method Summary
`void` | `checkGroup(ActivationGroupDesc desc)` Checks permissions for the specified group descriptor.
`protected void` | `checkPermission(Permission p)` Calls `BasicInvocationDispatcher.checkClientPermission` with the specified permission.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultGroupPolicy

    public DefaultGroupPolicy()

Method Detail

### checkGroup

    public void checkGroup(ActivationGroupDesc desc)

  Checks permissions for the specified group descriptor. If the group class name in the descriptor is not `null` and is not `ActivationGroupImpl`, or if the class location or the initialization data in the descriptor is not `null`, an `AccessControlException` is thrown. For each property in the descriptor's property overrides, `checkPermission` is called with an `ExecOptionPermission` constructed with a target of the form "-Dname=value", where name is the name of the property and value is the value of the property. If the command environment in the descriptor is not `null`, then additional checks are made as follows. If the command path is not `null`, `checkPermission` is called with an `ExecPermission` constructed with the path as a target. For each command option, `checkPermission` is called with an `ExecOptionPermission` constructed with the option as a target.

  Specified by:
    `checkGroup` in interface `GroupPolicy`
  Parameters:
    `desc` - the activation group descriptor
  Throws:
    `AccessControlException` - if permission is not granted to create the specified group

### checkPermission

    protected void checkPermission(Permission p)

  Calls `BasicInvocationDispatcher.checkClientPermission` with the specified permission.

  Parameters:
    `p` - the permission being checked
  Throws:
    `AccessControlException` - if permission is not granted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved